Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 977147 - gpart 0.1h-18 not built with $RPM_OPT_FLAGS
Summary: gpart 0.1h-18 not built with $RPM_OPT_FLAGS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gpart
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DebugInfo
TreeView+ depends on / blocked
 
Reported: 2013-06-23 19:11 UTC by Ville Skyttä
Modified: 2014-06-30 23:23 UTC (History)
1 user (show)

Fixed In Version: gpart-0.1h-20.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-30 23:23:42 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Build with $RPM_OPT_FLAGS (deleted)
2013-06-23 19:11 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2013-06-23 19:11:59 UTC
Created attachment 764369 [details]
Build with $RPM_OPT_FLAGS

gpart 0.1h-18 is not built with $RPM_OPT_FLAGS, fix against current git attached. Applying the fix uncovers the following issue, causing a build failure:


In file included from /usr/include/fcntl.h:302:0,
                 from gpart.c:52:
In function 'open',
    inlined from 'make_mbr_backup' at gpart.c:1224:5,
    inlined from 'main' at gpart.c:1829:20:
/usr/include/bits/fcntl2.h:50:24: error: call to '__open_missing_mode' declared with attribute error: open with O_CREAT in second argument needs 3 arguments
    __open_missing_mode ();
                        ^
make[1]: Leaving directory `/builddir/build/BUILD/gpart-0.1h/src'
make[1]: *** [gpart.o] Error 1

Comment 1 Fedora Update System 2013-08-14 20:06:33 UTC
gpart-0.1h-18.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gpart-0.1h-18.fc19

Comment 2 David Cantrell 2013-08-14 20:08:58 UTC
I also fixed this in master, so it's in the F-20 builds too.  But I went ahead and did an update for F-19 as well.

Comment 3 Fedora Update System 2013-08-15 23:30:47 UTC
Package gpart-0.1h-18.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gpart-0.1h-18.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14844/gpart-0.1h-18.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-08-31 23:59:34 UTC
gpart-0.1h-18.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Ville Skyttä 2013-12-25 10:27:27 UTC
(In reply to David Cantrell from comment #2)
> I also fixed this in master, so it's in the F-20 builds too.  But I went
> ahead and did an update for F-19 as well.

While this is fixed in F-19's 0.1h-18, for some reason for F-20 and Rawhide it's fixed in git only in 0.1h-20 and there's no such build in koji (latest is 0.1h-19 for F-20) so F-20 and Rawhide are still affected.

Comment 6 Fedora Update System 2014-01-10 18:29:01 UTC
gpart-0.1h-20.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gpart-0.1h-20.fc20

Comment 7 Fedora Update System 2014-01-11 08:48:29 UTC
Package gpart-0.1h-20.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gpart-0.1h-20.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0658/gpart-0.1h-20.fc20
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-06-30 23:23:42 UTC
gpart-0.1h-20.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.